{% block content %}
    <div class="row">
      <div class="col s1"></div>
      <div class="col s10">
        <div class="hedit">{{ (name or 'Nouveau flux') }}</div>
      </div>  
    </div>
    <form method="POST" action="{{ url_for(varStreamEdit, id=id if id>0 else None) }}">
        <div class="row">
          <div class="col s1"></div>
          <div class="input-field col s11">
            <input placeholder="Nom affiché" id="name" type="text" class="validate" name="name" value="{{ name }}" >
            <label for="port">Nom :</label>
            <span class="helper-text" >Nom du flux. Ce nom est affiché.</span>
          </div>
        </div>
        <div class="row">
          <div class="col s1"></div>
          <div class="input-field col s11">
            <input placeholder="Code unique" id="code" type="text" class="validate" name="code" value="{{ code }}" >
            <label for="port">Code :</label>
            <span class="helper-text" >Code de ce flux de données. Il doit être unique car c'est ce code qui permet à la base de données d'enregistrer et de récupérer les données de ce flux.</span>
          </div>
        </div>
        <div class="row">
          <div class="col s1"></div>
          <div class="input-field col s11">
            <input placeholder="Description" id="desc" type="text" class="validate" name="desc" value="{{ desc }}" >
            <label for="port">Description :</label>
            <span class="helper-text" >Description et complèments d'information sur ce flux de données.</span>
          </div>
        </div>
        <div class="row">
          <div class="col s1"></div>
          <div class="input-field col s11">
            <input placeholder="/" id="topic" type="text" class="validate" name="topic" value="{{ topic }}" >
            <label for="port">Topic MQTT :</label>
            <span class="helper-text" >Topic MQTT à souscrire pour récupérer les données de ce flux. (Ne doit pas commencer par "/").</span>
          </div>
        </div>
        <div class="row">
          <div class="col s1"></div>
          <div class="input-field col s11">
            <input placeholder="-" id="rules" type="text" class="validate" name="rules" value="{{ rules }}" >
            <label for="port">Règles supplémentaires :</label>
            <span class="helper-text" >Il est possible de définir des règles supplémentaires afin d'affiner la façon dont les données doivent être traitées. Un manuel est disponible ici.</span>
          </div>
        </div>
        <div class="row">
          <div class="col s1"></div>
          <div class="input-field col s11">
            <input type="text" value="{{ lastValue }}" disabled >
            <label for="port">Dernières données :</label>
            <span class="helper-text" >Représente la dernière donnée enregistrée. (Ne peut être modifié).</span>
          </div>
        </div>
        <div class="row">
          <div class="col s1"></div>
          <div class="input-field col s11">
            <input type="hidden" name="id" value="{{ id }}" />
            <button class="btn {% if g.settings['noEdit'] == 'true' %}disabled {% endif %}waves-effect waves-light enezgrbutton" type="submit" name="action">Enregistrer
              <i class="material-icons right">check</i>
            </button> &nbsp; 
            <button class="btn disabled waves-effect waves-light enezgrbutton" type="reset" >Supprimer
              <i class="material-icons right">delete</i>
            </button> &nbsp; 
              <button class="btn waves-effect waves-light enezgrbutton" type="reset" onclick="location.href='{{ url_for(varStreamList) }}'">Annuler
              <i class="material-icons right">cancel</i>
            </button>
            &nbsp; &nbsp; 
            <button class="btn waves-effect waves-light enezgrbutton" type="button" onclick="parent.open('{{ url_for('help') }}#help_flux')">Aide
              <i class="material-icons right">help</i>
            </button>
          </div>
        </div>
    </form>
{% endblock %}